#### Version 2.7.4

* Add the ability to fetch certain age-gate videos. (#431)

#### Version 2.7.3

* Adaptation to YouTube API change. (#419, #422. #421)
* Fix JavaScript exception: ReferenceError (#418, #420)

#### Version 2.7.2

* Adaptation to YouTube API change. (#417)

#### Version 2.7.1

* Fixed Xcode project parsing error (#409, #411)

#### Version 2.7.0

* Add the ability assign cookies via `-[XCDYouTubeClient getVideoWithIdentifier:cookies:completionHandler:]` & `initWithVideoIdentifier:cookies:languageIdentifier:`
* Add the ability to fetch videos allowed to be watched on youtube only (#315, #309)
* Deprecated `XCDYouTubeVideoPlayerViewController` (#157)
* Fixed internal JavaScript exception (#375, #397)

#### Version 2.6.1

* Adaptation to YouTube API change. (#406)

#### Version 2.6.0

* Adaptation to YouTube API change. (#383, #388, #385, #382)
* Include DASH formats URLs in `streamURLs`. (#354)
* Add new `autoGeneratedCaptionURLs` and `captionURLs` properties to `XCDYouTubeVideo`. (#281)
* Fix `Messaging unqualified id` warnings. (#393)
* Deprecated `smallThumbnailURL`, `mediumThumbnailURL`, `largeThumbnailURL`. Use `thumbnailURL` instead.

#### Version 2.5.6

* Xcode 9 compatibility (#345, #347, #349)

#### Version 2.5.5

* Adaptation to YouTube API change. (#314)

#### Version 2.5.4

* Adaptation to YouTube API change. (#295, #296, #297)
* Upgrade deployment target to iOS 8.0 (macOS is still 10.9 and tvOS is still 9.0)

#### Version 2.5.3

* Adaptation to YouTube API change. (#257)

#### Version 2.5.2

* Ensure that all the streams are downloadable at full speed. (#177)
* Post the video notification after setting the movie player’s contentURL property. (#233)
* Fixed playback of some age restricted videos.

#### Version 2.5.1

* Adaptation to YouTube API change. (#231)
* Fixed compilation issue with Xcode 7.3 beta. (#228)
* Properly annotated the `preferredVideoQualities` property as `null_resettable`.

#### Version 2.5.0

* Logging is fully configurable with the new `XCDYouTubeLogger` class.
* Added `XCDYouTubeAllowedCountriesUserInfoKey` for better diagnosis of some unplayable (geoblocked) videos. (#216)

#### Version 2.4.3

* Fixed *XCDYouTubeKit iOS Framework* deployment target. (#223)

#### Version 2.4.2

* Restored iOS deployment target to 7.0. (#220)
* Improved `-[XCDYouTubeVideo debugDescription]` by sorting streams by itag.
* Improved logging performance.

#### Version 2.4.1

* Added the CFBundleVersion key in the Info.plist file for iTunes Connect validation. (#214)

#### Version 2.4.0

* Support for tvOS. (#182)
* Replaced deprecated methods and classes: now using `NSURLSession` instead of `NSURLConnection` internally. (#190, #210)
* Support for Objective-C generics where applicable.
* The `XCDYouTubeVideoOperation` class has changed back from a synchronous to an asynchronous operation and can be started on the main thread.

#### Version 2.3.3

* Adaptation to YouTube API change. (#193, #194, #196, #197, #198, #202)

#### Version 2.3.2

* Adaptation to YouTube API change. (#186)

#### Version 2.3.1

* Improved Swift 2.0 interoperability. (#178)

#### Version 2.3.0

* Raised deployment target to iOS 7.0 and OS X 10.9.
* Xcode 7 support.
* Nullability annotations.
* Fixed bitcode issue with CocoaPods integration. (#165, #173)

#### Version 2.2.0

* Networking and parsing code is executed on a background thread for better performance. The `XCDYouTubeVideoOperation` class has changed from an asynchronous to a synchronous operation and must not be started on the main thread. (#147)
* Logging support, see the [README](README.md#logging) for documentation.
* Improved documentation.

#### Version 2.1.3

* Adaptation to YouTube API change. (#144)

#### Version 2.1.2

* Fixed playback of some protected videos. (#122)
* Fixed playback of some age restricted videos. (#137)

#### Version 2.1.1

* Adaptation to YouTube API change. (#116)

#### Version 2.1.0

* New `expirationDate` property on the `XCDYouTubeVideo` class. (#96)
* Create proper (non generic) Xcode archives when integrated manually. (#102)
* Adaptation to YouTube API change. (#105)
* Fixed protected age restricted videos.

#### Version 2.0.3

* Adaptation to YouTube API change. (#94)
* Support for age restricted videos.
* Project upgraded to Xcode 6.

#### Version 2.0.2

* Fixed errors on protected videos. (#52)
* Better error reporting if a protected video is not available.
* Updated README about YouTube Terms of Service.

#### Version 2.0.1

* Fixed crash on protected videos. (#46)
* Ensure that the video doesn’t disappear after locking the device. (#36)
* Demo app: do not crash when going to background very quickly after presenting a video. (#44)

#### Version 2.0.0

* Project renamed to `XCDYouTubeKit`.
* Support for protected videos. (#6, #11, #12, #21, #27, #31, #33)
* OS X compatibility thanks to the new `XCDYouTubeClient` class. (#14, #18)
* OS X dynamic framework target
* Support for live videos. (#34)
* Unit tested.
* [Fully documented](http://cocoadocs.org/docsets/XCDYouTubeKit/).
* Support for iOS 8 beta.
* Improved demo projects.
  * New OS X demo project.
  * New settings screen on iOS for background playback and audio session category.
  * Demonstrates how to use the notifications to fill the *Now Playing Info Center*.

#### Version 1.1.2

* Adaptation to YouTube API change. (#19)

#### Version 1.1.1

* For errors of the `XCDYouTubeVideoErrorDomain` domain, `-[NSError localizedDescription]` is actually localized and doesn’t contain HTML tags, making it suitable for displaying to the user.
* Setting the `preferredVideoQualities` property to nil restores its default values.
* Added some documentation in the XCDYouTubeVideoPlayerViewController header file.
* XCDYouTubeVideoPlayerViewController is built as a static library.
* Better demo project with one feature illustrated per view controller.
* iOS 7 compatible demo project.

#### Version 1.1.0

* Video metadata information (thumbnails and title) is provided through `XCDYouTubeVideoPlayerViewControllerDidReceiveMetadataNotification`. (#1)
* Workaround a case where the status bar could disappear after the video ends playback. (#3)
* Error reporting is more accurate, especially for VEVO videos. (#6)
* `prepareToPlay` is not automatically called, it’s the programmer responsibility to call it if appropriate.

#### Version 1.0.0

* Initial version
